package edu.cmu.cs.fluid.Tallyho.analysis;

import org.eclipse.jdt.core.*;
import org.eclipse.jdt.core.dom.*;

public final class PoorVariableAbstraction {

  // Holds information about the current Java source file being examined
  private PVADatabase f_db = new PVADatabase();

  //-------------------------------//
  // G E N E R A L   H E L P E R S //
  //-------------------------------//

  public boolean find(ICompilationUnit file, CompilationUnit ast)
    throws JavaModelException {

    // D O   A N A L Y S I S
    ast.accept(new PVAVariableDeclarationAndUse(f_db, file, ast));
    f_db.findLocalPrivateVariableCompatible(false);

    return false; // everything went OK
  }

  public void recordResults() {
    f_db.findLocalPrivateVariableCompatible(true);
    f_db.showCounters();
    f_db = new PVADatabase(); // blast the database
  }
}